layout python3
pip install -r requirements.txt
pre-commit install

# Set up tools with asdf version manager.
if which asdf > /dev/null; then
    for plugin in $(cut -d ' ' -f 1 .tool-versions); do
        if ! asdf plugin-list | grep $plugin > /dev/null; then
            echo "Installing asdf plugin $plugin"
            asdf plugin-add $plugin
        fi
    done
    asdf install
fi
